libvisio::VSDGraphicObjectOutputElement Class Reference
Inheritance diagram for libvisio::VSDGraphicObjectOutputElement:

## Public Member Functions

| VSDGraphicObjectOutputElement (const librevenge::RVNGPropertyList &propList)
| ~VSDGraphicObjectOutputElement () override
void | draw (librevenge::RVNGDrawingInterface *painter) override
VSDOutputElement * | clone () override
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()

## Private Attributes

librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

## VSDGraphicObjectOutputElement()

libvisio::VSDGraphicObjectOutputElement::VSDGraphicObjectOutputElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by clone().

## ~VSDGraphicObjectOutputElement()

libvisio::VSDGraphicObjectOutputElement::~VSDGraphicObjectOutputElement | ( |  | ) |

inline override

## Member Function Documentation

## clone()

VSDOutputElement * libvisio::VSDGraphicObjectOutputElement::clone | ( |  | ) |

inline override virtual

Implements libvisio::VSDOutputElement.

## draw()

void libvisio::VSDGraphicObjectOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |

override virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

## m_propList

librevenge::RVNGPropertyList libvisio::VSDGraphicObjectOutputElement::m_propList

private

Referenced by clone(), draw(), and VSDGraphicObjectOutputElement().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp